# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.81.0"
name = "pest_typed_generator"
version = "0.20.5"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Pest-typed's code generator."
documentation = "https://docs.rs/pest_typed_generator"
readme = "README.md"
keywords = [
    "pest",
    "generator",
]
categories = ["parsing"]
license = "MIT/Apache-2.0"
repository = "https://github.com/theverydarkness/pest-typed"

[features]
grammar-extras = ["pest_meta/grammar-extras"]

[lib]
name = "pest_typed_generator"
path = "src/lib.rs"

[[test]]
name = "generator"
path = "tests/generator.rs"

[[test]]
name = "grammar-expected"
path = "tests/grammar-expected.rs"

[[test]]
name = "grammar-expected-extras"
path = "tests/grammar-expected-extras.rs"

[[test]]
name = "syntax-expected"
path = "tests/syntax-expected.rs"

[[test]]
name = "syntax-expected-extras"
path = "tests/syntax-expected-extras.rs"

[[bench]]
name = "graph"
path = "benches/graph.rs"
harness = false

[dependencies.pest]
version = "2.7.10, <2.7.15"

[dependencies.pest_meta]
version = "2.7.10, <2.7.15"

[dependencies.proc-macro2]
version = "^1.0.66"

[dependencies.quote]
version = "^1.0.31"

[dependencies.syn]
version = "^2.0.26"
features = ["full"]

[dev-dependencies.anyhow]
version = "1.0"

[dev-dependencies.criterion]
version = "0.5.1"

[dev-dependencies.lazy_static]
version = "1.4.0"

[dev-dependencies.pest_typed]
version = "0.20.5"
default-features = false

[lints.clippy.equatable_if_let]
level = "allow"
priority = 1

[lints.clippy.incompatible_msrv]
level = "deny"
priority = 1

[lints.clippy.nursery]
level = "warn"
priority = 0

[lints.clippy.option_if_let_else]
level = "allow"
priority = 1

[lints.clippy.perf]
level = "deny"
priority = 0

[lints.clippy.redundant_pub_crate]
level = "allow"
priority = 1

[lints.rust.unreachable_pub]
level = "deny"
priority = 1
